Follow

SQL Server compaitibility on your eautomate database...

We can have an issue if your SQL Databases are set to SQL 2000 compatibilitymode as some of our newer functions require that to be SQL 2005 or higher.

In researching, the best practice  to changing the compatibility level while users are connected to the database can produce incorrect result sets for active queries. For example, if the compatibility level changes while a query plan is being compiled, the compiled plan might be based on both the old and new compatibility levels, resulting in an incorrect plan and potentially inaccurate results. Furthermore, the problem may be compounded if the plan is placed in the plan cache and reused for subsequent queries. To avoid inaccurate query results, we recommend the following procedure to change the compatibility level of a database:

 

1.Set the database to single-user access mode by using ALTER DATABASE SET SINGLE_USER.

 

2.Change the compatibility level of the database.

 

3.Put the database in multiuser access mode by using ALTER DATABASE SET MULTI_USER.

 

4.For more information about setting the access mode of a database, see ALTER DATABASE (Transact-SQL).

 

We can do this for you but don’t like making changes without your permission and knowledge of course.

This should not impact anything if no users are currently logged in, and from what I read your current level of SQL2000 (80) compatability mode probable was set because you updgraded from 2000 to 2008 and restored the eautomate databast to 2008 from 2000…

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.
Powered by Zendesk